<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- <script src="js/info.js"></script> -->
</head>

<body>
    <div class="container">
        <div class="row d-flex justify-content-center align-items-center" style="height: 100vh;">
            <div class="col-sm-5">
                <div class="card" style="width: 23rem;">
                    <div class="card-header">
                        <h2 class="text-center">My Account info</h2>
                    </div>
                    <div class="card-body">
                        <input type="text" name="" id="name" class="form-control " placeholder="Username">
                        <input type="text" name="" id="email" class="form-control mt-3" placeholder="email">
                        <button id="btn-log-out" class="btn btn-primary mt-3">Log out</button>
                    </div>


                </div>

            </div>
        </div>
    </div>
    </div>
</body>
<script>
    $(document).ready(function () {
        const token = getCookie("token");

        //Gọi API để lấy thông tin người dùng

        //Khai báo xác thực ở headers
        var headers = {
            Authorization: "Bearer " + token
        };

        var urlInfo = "http://localhost:8080/users/me";

        $.ajax({
            url: urlInfo,
            method: "GET",
            headers: headers,
            success: function (responseObject) {
                displayUserInput(responseObject);
            },
            error: function (xhr) {
                console.log(xhr);
                // Khi token hết hạn, AJAX sẽ trả về lỗi khi đó sẽ redirect về trang login để người dùng đăng nhập lại
                redirectToLogin()
            }
        });

        //Set sự kiện cho nút logout
        $("#btn-log-out").on("click", function () {
            redirectToLogin();
        });

        function redirectToLogin() {
            // Trước khi logout cần xóa token đã lưu trong cookie
            setCookie("token", "", 1);
            window.location.href = "login.html";
        }

        //Hiển thị thông tin người dùng
        function displayUser(data) {
            $("#name").html(data.username);
            $("#username").html(data.username);
            $("#id").html(data.id);
            $("#email").html(data.email);
        };
        function displayUserInput(data) {
            $("#name").val(data.username);
            // $("#username").html(data.username);
            // $("#id").html(data.id);
            $("#email").val(data.email);
        };

        //Hàm get Cookie đã giới thiệu ở bài trước
        function getCookie(cname) {
            var name = cname + "=";
            var decodedCookie = decodeURIComponent(document.cookie);
            var ca = decodedCookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) == ' ') {
                    c = c.substring(1);
                }
                if (c.indexOf(name) == 0) {
                    return c.substring(name.length, c.length);
                }
            }
            return "";
        }

        //Hàm setCookie đã giới thiệu ở bài trước
        function setCookie(cname, cvalue, exdays) {
            var d = new Date();
            d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
            var expires = "expires=" + d.toUTCString();
            document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
        }
    })
</script>

</html>